package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierRefundListRequest struct {
	/*
	   查询参数     */
	SupplierRefundQueryRequest *domain.AlibabaWdkSupplierRefundListSupplierRefundQueryRequest `json:"supplier_refund_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkSupplierRefundListRequest) SetSupplierRefundQueryRequest(v domain.AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) *AlibabaWdkSupplierRefundListRequest {
	s.SupplierRefundQueryRequest = &v
	return s
}

func (req *AlibabaWdkSupplierRefundListRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SupplierRefundQueryRequest != nil {
		paramMap["supplier_refund_query_request"] = util.ConvertStruct(*req.SupplierRefundQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkSupplierRefundListRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
